Package com.xebialabs.xlrelease.serialization.json.jackson

# Class CiDeserializer

java.lang.Object
tools.jackson.databind.ValueDeserializer<ConfigurationItem>
com.xebialabs.xlrelease.serialization.json.jackson.CiDeserializer

All Implemented Interfaces:
  `tools.jackson.databind.deser.NullValueProvider`

@Component public class CiDeserializer extends tools.jackson.databind.ValueDeserializer<ConfigurationItem>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tools.jackson.databind.ValueDeserializer

  `tools.jackson.databind.ValueDeserializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CiDeserializer()`
  `CiDeserializer(com.xebialabs.deployit.repository.RepositoryAdapter repository)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationItem`
  `deserialize(tools.jackson.core.JsonParser jsonParser, tools.jackson.databind.DeserializationContext deserializationContext)`

  ### Methods inherited from class tools.jackson.databind.ValueDeserializer

  `createContextual, deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, resolve, supportsUpdate, unwrappingDeserializer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CiDeserializer

    public CiDeserializer()

  - ### CiDeserializer

    @Autowired public CiDeserializer(com.xebialabs.deployit.repository.RepositoryAdapter repository)

- ## Method Details

  - ### deserialize

    public ConfigurationItem deserialize(tools.jackson.core.JsonParser jsonParser, tools.jackson.databind.DeserializationContext deserializationContext)
    Specified by:
      `deserialize` in class `tools.jackson.databind.ValueDeserializer<ConfigurationItem>`